
QGIS Application - Bug report #14333

changing individually the values of a proportional symbology should not be allowed 

2016-02-18 03:52 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22320

Description

Open properties of a point layer

Style tab, single symbol

select the upper level of the symbol tree, click the data-defined button near size and select the size assistant.

Fill the dialog and apply.

You'll get in the map legend proportional symbols.

Now double-click any of the values. you get prompted the symbol selector dialog from which you can change any of the properties of the

symbol.

The changes are applied in the map legend but not in the map canvas nor in the legend in the composer.

Giving that the representation of the icons must follow a proportionality set at the layer level (representation of features are all connected),

should individual modification be allowed for single "class"?

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
